Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ess
Class ContentIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ess.ContentIdentifier

All Implemented Interfaces:
  DEREncodable

public class ContentIdentifier
extends ASN1Encodable

Constructor Summary
`ContentIdentifier(ASN1OctetString value)` Create from OCTET STRING whose octets represent the identifier.
`ContentIdentifier(byte[] value)` Create from byte array representing the identifier.

Method Summary
`static ContentIdentifier` | `getInstance(java.lang.Object o)`
`ASN1OctetString` | `getValue()`
`DERObject` | `toASN1Object()` The definition of ContentIdentifier is

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentIdentifier

    public ContentIdentifier(ASN1OctetString value)

  Create from OCTET STRING whose octets represent the identifier.

### ContentIdentifier

    public ContentIdentifier(byte[] value)

  Create from byte array representing the identifier.

Method Detail

### getInstance

    public static ContentIdentifier getInstance(java.lang.Object o)

### getValue

    public ASN1OctetString getValue()

### toASN1Object

    public DERObject toASN1Object()

  The definition of ContentIdentifier is

       ContentIdentifier ::=  OCTET STRING

  id-aa-contentIdentifier OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 7 }
  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD